Package com.usatiuk.kleppmanntree

# Interface PeerInterface<PeerIdT extends Comparable<PeerIdT>>

All Known Implementing Classes:
  `JKleppmannTreePeerInterface`

public interface PeerInterface<PeerIdT extends Comparable<PeerIdT>>

## Method Summary

Modifier and Type
Method
Description
`Collection<PeerIdT>`
`getAllPeers()`
`PeerIdT`
`getSelfId()`

## Method Details

### getSelfId

PeerIdT getSelfId()

### getAllPeers

Collection<PeerIdT> getAllPeers()